JGraph X 1.4.0.9

## com.mxgraph.swing.handler
Class mxInsertHandler

    java.lang.Object
      com.mxgraph.swing.util.mxMouseAdapter
          com.mxgraph.swing.handler.mxInsertHandler

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.util.EventListener

    public class mxInsertHandler

extends mxMouseAdapter

Field Summary
`protected mxRectangle` `current`
`protected boolean` `enabled` Specifies if this handler is enabled.
`protected mxEventSource` `eventSource`
`protected java.awt.Point` `first`
`protected mxGraphComponent` `graphComponent` Reference to the enclosing graph component.
`protected java.awt.Color` `lineColor`
`protected float` `lineWidth`
`protected boolean` `rounded`
`protected java.lang.String` `style`

Constructor Summary
`mxInsertHandler(mxGraphComponent graphComponent, java.lang.String style)`

Method Summary
`void` `addListener(java.lang.String eventName, mxEventSource.mxIEventListener listener)`
`mxGraphComponent` `getGraphComponent()`
`java.lang.Object` `insertCell(mxRectangle bounds)`
`boolean` `isEnabled()`
`boolean` `isStartEvent(java.awt.event.MouseEvent e)`
`void` `mouseDragged(java.awt.event.MouseEvent e)`
`void` `mousePressed(java.awt.event.MouseEvent e)`
`void` `mouseReleased(java.awt.event.MouseEvent e)`
`void` `paint(java.awt.Graphics g)`
`void` `removeListener(mxEventSource.mxIEventListener listener)`
`void` `removeListener(mxEventSource.mxIEventListener listener, java.lang.String eventName)`
`void` `reset()`
`void` `setEnabled(boolean value)`
`void` `start(java.awt.event.MouseEvent e)`

Methods inherited from class com.mxgraph.swing.util.mxMouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphComponent

    protected mxGraphComponent graphComponent

  Reference to the enclosing graph component.

### enabled

    protected boolean enabled

  Specifies if this handler is enabled. Default is true.

### style

    protected java.lang.String style

### first

    protected java.awt.Point first

### lineWidth

    protected float lineWidth

### lineColor

    protected java.awt.Color lineColor

### rounded

    protected boolean rounded

### current

    protected mxRectangle current

### eventSource

    protected mxEventSource eventSource

Constructor Detail

### mxInsertHandler

    public mxInsertHandler(mxGraphComponent graphComponent,
                           java.lang.String style)

Method Detail

### getGraphComponent

    public mxGraphComponent getGraphComponent()

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean value)

### isStartEvent

    public boolean isStartEvent(java.awt.event.MouseEvent e)

### start

    public void start(java.awt.event.MouseEvent e)

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `mxMouseAdapter`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseDragged` in class `mxMouseAdapter`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `mxMouseAdapter`

### insertCell

    public java.lang.Object insertCell(mxRectangle bounds)

### reset

    public void reset()

### paint

    public void paint(java.awt.Graphics g)

### addListener

    public void addListener(java.lang.String eventName,
                            mxEventSource.mxIEventListener listener)

### removeListener

    public void removeListener(mxEventSource.mxIEventListener listener)

### removeListener

    public void removeListener(mxEventSource.mxIEventListener listener,
                               java.lang.String eventName)

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.